Slackware: 2022-343-01: libarchive Security Update | LinuxSecurity.com

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

[slackware-security]  libarchive (SSA:2022-343-01)

New libarchive packages are available for Slackware 14.1, 14.2, 15.0,
and -current to fix security issues.


Here are the details from the Slackware 15.0 ChangeLog:
+--------------------------+
patches/packages/libarchive-3.6.2-i586-1_slack15.0.txz:  Upgraded.
  This is a bugfix and security release.
  Relevant bugfixes:
    rar5 reader: fix possible garbled output with bsdtar -O (#1745)
    mtree reader: support reading mtree files with tabs (#1783)
  Security fixes:
    various small fixes for issues found by CodeQL
  (* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(https://osuosl.org) for donating FTP and rsync hosting
to the Slackware project!  :-)

Also see the "Get Slack" section on https://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/libarchive-3.6.2-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/libarchive-3.6.2-x86_64-1_slack14.1.txz

Updated package for Slackware 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/libarchive-3.6.2-i586-1_slack14.2.txz

Updated package for Slackware x86_64 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/libarchive-3.6.2-x86_64-1_slack14.2.txz

Updated package for Slackware 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/libarchive-3.6.2-i586-1_slack15.0.txz

Updated package for Slackware x86_64 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/libarchive-3.6.2-x86_64-1_slack15.0.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/libarchive-3.6.2-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/libarchive-3.6.2-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 14.1 package:
120412a3a1d3546881bbf3ce352bf7d7  libarchive-3.6.2-i486-1_slack14.1.txz

Slackware x86_64 14.1 package:
39273c189c4d71bfadf85e4b74725eeb  libarchive-3.6.2-x86_64-1_slack14.1.txz

Slackware 14.2 package:
6cbd377811318b1df06e897f68eed391  libarchive-3.6.2-i586-1_slack14.2.txz

Slackware x86_64 14.2 package:
ae2cff0b6665f38d928d8c5026a51209  libarchive-3.6.2-x86_64-1_slack14.2.txz

Slackware 15.0 package:
56db21a5318598e49fca530170364939  libarchive-3.6.2-i586-1_slack15.0.txz

Slackware x86_64 15.0 package:
d9925bb092083e1a11385e30152e0acb  libarchive-3.6.2-x86_64-1_slack15.0.txz

Slackware -current package:
8a4c7b78f42d318989dd45fd91e1fca5  l/libarchive-3.6.2-i586-1.txz

Slackware x86_64 -current package:
82add188b69fcba8d0a086ba8cf7f8a6  l/libarchive-3.6.2-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg libarchive-3.6.2-i586-1_slack15.0.txz


+-----+

Slackware: 2022-343-01: libarchive Security Update

December 9, 2022
New libarchive packages are available for Slackware 14.1, 14.2, 15.0, and -current to fix security issues

Summary

Here are the details from the Slackware 15.0 ChangeLog: patches/packages/libarchive-3.6.2-i586-1_slack15.0.txz: Upgraded. This is a bugfix and security release. Relevant bugfixes: rar5 reader: fix possible garbled output with bsdtar -O (#1745) mtree reader: support reading mtree files with tabs (#1783) Security fixes: various small fixes for issues found by CodeQL (* Security fix *)

Where Find New Packages

Thanks to the friendly folks at the OSU Open Source Lab (https://osuosl.org) for donating FTP and rsync hosting to the Slackware project! :-)
Also see the "Get Slack" section on https://slackware.com for additional mirror sites near you.
Updated package for Slackware 14.1: ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/libarchive-3.6.2-i486-1_slack14.1.txz
Updated package for Slackware x86_64 14.1: ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/libarchive-3.6.2-x86_64-1_slack14.1.txz
Updated package for Slackware 14.2: ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/libarchive-3.6.2-i586-1_slack14.2.txz
Updated package for Slackware x86_64 14.2: ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/libarchive-3.6.2-x86_64-1_slack14.2.txz
Updated package for Slackware 15.0: ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/libarchive-3.6.2-i586-1_slack15.0.txz
Updated package for Slackware x86_64 15.0: ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/libarchive-3.6.2-x86_64-1_slack15.0.txz
Updated package for Slackware -current: ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/libarchive-3.6.2-i586-1.txz
Updated package for Slackware x86_64 -current: ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/libarchive-3.6.2-x86_64-1.txz

MD5 Signatures

Slackware 14.1 package: 120412a3a1d3546881bbf3ce352bf7d7 libarchive-3.6.2-i486-1_slack14.1.txz
Slackware x86_64 14.1 package: 39273c189c4d71bfadf85e4b74725eeb libarchive-3.6.2-x86_64-1_slack14.1.txz
Slackware 14.2 package: 6cbd377811318b1df06e897f68eed391 libarchive-3.6.2-i586-1_slack14.2.txz
Slackware x86_64 14.2 package: ae2cff0b6665f38d928d8c5026a51209 libarchive-3.6.2-x86_64-1_slack14.2.txz
Slackware 15.0 package: 56db21a5318598e49fca530170364939 libarchive-3.6.2-i586-1_slack15.0.txz
Slackware x86_64 15.0 package: d9925bb092083e1a11385e30152e0acb libarchive-3.6.2-x86_64-1_slack15.0.txz
Slackware -current package: 8a4c7b78f42d318989dd45fd91e1fca5 l/libarchive-3.6.2-i586-1.txz
Slackware x86_64 -current package: 82add188b69fcba8d0a086ba8cf7f8a6 l/libarchive-3.6.2-x86_64-1.txz

Severity
[slackware-security] libarchive (SSA:2022-343-01)
New libarchive packages are available for Slackware 14.1, 14.2, 15.0, and -current to fix security issues.

Installation Instructions

Installation instructions: Upgrade the package as root: # upgradepkg libarchive-3.6.2-i586-1_slack15.0.txz